require("../_virtual/_rolldown/runtime.js");
let react = require("react");
//#region src/hooks/useCssVariables.ts
const useCssVariables = (props) => {
	const { variables, ref } = props;
	(0, react.useEffect)(() => {
		if (!ref) return;
		Object.entries(variables).forEach(([key, value]) => {
			ref.current.style.setProperty(key, value);
		});
	}, [variables, ref]);
};
//#endregion
exports.default = useCssVariables;
